## org.flexdock.plaf
Class PropertySet

    java.lang.Object
      org.flexdock.plaf.PropertySet

Direct Known Subclasses:
  PainterResource

    public class PropertySet

extends java.lang.Object

Author:
  Christopher Butler

Constructor Summary
`PropertySet()`
`PropertySet(int size)`

Method Summary
`javax.swing.Action` `getAction(java.lang.String key)`
`boolean` `getBoolean(java.lang.String key)`
`javax.swing.border.Border` `getBorder(java.lang.String key)`
`java.awt.Color` `getColor(java.lang.String key)`
`java.awt.Font` `getFont(java.lang.String key)`
`javax.swing.Icon` `getIcon(java.lang.String key)`
`java.awt.Image` `getImage(java.lang.String key)`
`int` `getInt(java.lang.String key)`
`java.lang.Integer` `getInteger(java.lang.String key)`
`java.lang.String` `getName()`
`java.util.List` `getNumericKeys()`
`java.util.List` `getNumericKeys(boolean sort)`
`java.lang.Object` `getProperty(java.lang.String key)`
`java.lang.String` `getString(java.lang.String key)`
`java.lang.String[]` `getStrings(java.lang.String[] keys)`
`java.util.Iterator` `keys()`
`protected java.lang.Class` `resolveClass(java.lang.String className)`
`void` `setAll(PropertySet set)`
`void` `setName(java.lang.String name)`
`void` `setProperty(java.lang.String key, java.lang.Object value)`
`int` `size()`
`java.lang.Class` `toClass(java.lang.String key)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertySet

    public PropertySet()

### PropertySet

    public PropertySet(int size)

Method Detail

### setAll

    public void setAll(PropertySet set)

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.Object value)

### getProperty

    public java.lang.Object getProperty(java.lang.String key)

### getColor

    public java.awt.Color getColor(java.lang.String key)

### getFont

    public java.awt.Font getFont(java.lang.String key)

### getImage

    public java.awt.Image getImage(java.lang.String key)

### getIcon

    public javax.swing.Icon getIcon(java.lang.String key)

### getAction

    public javax.swing.Action getAction(java.lang.String key)

### getString

    public java.lang.String getString(java.lang.String key)

### getBorder

    public javax.swing.border.Border getBorder(java.lang.String key)

### getStrings

    public java.lang.String[] getStrings(java.lang.String[] keys)

### getInt

    public int getInt(java.lang.String key)

### getInteger

    public java.lang.Integer getInteger(java.lang.String key)

### getBoolean

    public boolean getBoolean(java.lang.String key)

### keys

    public java.util.Iterator keys()

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### size

    public int size()

### getNumericKeys

    public java.util.List getNumericKeys()

### getNumericKeys

    public java.util.List getNumericKeys(boolean sort)

### toClass

    public java.lang.Class toClass(java.lang.String key)
                            throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### resolveClass

    protected java.lang.Class resolveClass(java.lang.String className)
                                    throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`